/*
 * Class FINITE [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_732 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_732 [] = {0xFF01,237,731,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_732 [] = {0xFF01,731,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_732 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_732 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_732 [] = {0xFF01,731,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_732 [] = {0xFF01,731,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_732 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_732 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_732 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_732 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_732 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_732 [] = {731,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_732 [] = {0xFF01,731,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_732 [] = {0xFF01,719,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_732 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_732[] = {
	{EIF_GENERIC(NULL), 2042, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_732), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_732), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_732), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_732), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_732), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_732), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_732), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_732), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_732), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_732), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_732), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_732), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_732), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_732), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1911, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_732), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_732), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init732(void)
{
	IDSC(desc_732, 0, 731);
	IDSC(desc_732 + 1, 1, 731);
	IDSC(desc_732 + 32, 77, 731);
	IDSC(desc_732 + 41, 50, 731);
	IDSC(desc_732 + 42, 35, 731);
}


#ifdef __cplusplus
}
#endif
